SFML 3.1.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Font::Info Struct Reference

Holds various information about a font. More...

`#include <SFML/Graphics/Font.hpp>`

## Public Attributes
std::uint64_t | id {}
| A unique ID that identifies the font.
std::string | family
| The font family.
bool | hasKerning {}
| Has kerning information.
bool | hasVerticalMetrics {}
| Has native vertical metrics.

## Detailed Description

Holds various information about a font.

Definition at line 64 of file Font.hpp.

## Member Data Documentation

## ◆ family

std::string sf::Font::Info::family

The font family.

Definition at line 67 of file Font.hpp.

## ◆ hasKerning

bool sf::Font::Info::hasKerning {}

Has kerning information.

Definition at line 68 of file Font.hpp.

## ◆ hasVerticalMetrics

bool sf::Font::Info::hasVerticalMetrics {}

Has native vertical metrics.

Definition at line 69 of file Font.hpp.

## ◆ id

std::uint64_t sf::Font::Info::id {}

A unique ID that identifies the font.

Definition at line 66 of file Font.hpp.

The documentation for this struct was generated from the following file:

- Font.hpp